Subject: Re: [PATCH net-next 2/4] net: ipv4: Add a sysctl to set multipath hash seed

From: Petr Machata <[email-masked]>
Date: Mon, 3 Jun 2024 13:37:02 +0200

Petr Machata <[email-masked]> writes:

> Jakub Kicinski <[email-masked]> writes:
>
>> On Wed, 29 May 2024 13:18:42 +0200 Petr Machata wrote:
>>> +fib_multipath_hash_seed - UNSIGNED INTEGER
>>> +	The seed value used when calculating hash for multipath routes. Applies
>>
>> nits..
>>
>> For RSS we call it key rather than seed, is calling it seed well
>> established for ECMP?
>>
>> Can we also call out that hashing implementation is not well defined?
>
> As others note, this seems to be industry nomenclature, so I'll keep it.

I meant the "seed" name, I'll mention the algorithm is undefined and
doesn't constitute an ABI.